Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ssh_key = client.storage.ssh_keys.get(
0,
)
print(ssh_key.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
sshKey, err := client.Storage.SSHKeys.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", sshKey.ID)
}
curl --request GET \
--url https://api.gcore.com/storage/v4/ssh_keys/{ssh_key_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/v4/ssh_keys/{ssh_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key",
"public_key": "ssh-rsa AAAAB3NzaC1yc2EAAA... user@example.com"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}SSHKeys
Get SSH key
Retrieves a single SSH key by ID.
GET
/
storage
/
v4
/
ssh_keys
/
{ssh_key_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ssh_key = client.storage.ssh_keys.get(
0,
)
print(ssh_key.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
sshKey, err := client.Storage.SSHKeys.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", sshKey.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
SSH key ID
Response
SSHKeyV4
ISO 8601 timestamp when the SSH key was created
Example:
"2025-08-05T09:15:00Z"
Unique identifier for the SSH key
Example:
123
User-defined name for the SSH key
Example:
"my-production-key"
The SSH public key content
Example:
"ssh-rsa AAAAB3NzaC1yc2EAAA... user@example.com"
⌘I